
Katello - Bug #6648

Cannot delete organizations with repositories

07/16/2014 02:45 PM - David Davis

Status: Closed   

Priority: High   

Assignee: David Davis   

Category: Orchestration   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1120336 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/444
Description

Getting an error when I try to delete an organization that has repositories:

Could not delete the organization:

  Cannot delete record because of dependent repositories

Related issues:

Related to Katello - Bug #6654: Organization::Destroy dynflow action should b... Rejected

Associated revisions

Revision 772c8cfa - 07/16/2014 04:27 PM - David Davis

Fixes #6648,BZ1120336 - Reload product before destroying it

Revision aa25188b - 07/16/2014 05:30 PM - David Davis

Merge pull request #4443 from daviddavis/temp/20140716162734

Fixes #6648,BZ1120336 - Reload product before destroying it

History

#1 - 07/16/2014 02:45 PM - Partha Aji

- Bugzilla link set to 1120336

#2 - 07/16/2014 03:02 PM - David Davis

- Priority changed from Normal to High

#3 - 07/16/2014 03:02 PM - David Davis

- Difficulty set to trivial

#4 - 07/16/2014 04:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4443 added

- Pull request deleted ()

#5 - 07/16/2014 04:28 PM - David Davis

- Related to Bug #6654: Organization::Destroy dynflow action should be calling Product::Destroy added

#6 - 07/16/2014 06:02 PM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset katello|772c8cfa51a7efbe5c3205fef445e0a2ea4fd1c4.

#7 - 07/22/2014 02:03 PM - Eric Helms

- Triaged changed from No to Yes

#8 - 08/22/2014 09:22 AM - Eric Helms

- translation missing: en.field_release set to 13
